ChooseFile()
{

KEY_FALSE="wrong license key !"

#
# HeRo 17.12.2004: Fixed license key 5CHL4X-584499 for WINCOR.
#
#$doecho \\n\\n"Please enter your license key (or q to quit): \c"
#read key
key=5CHL4X-584499

[ -n "$debug_key" ] && key=$debug_key && dodebug "key = >$key<"

[ "$key" = "" ] || [ $key = q ] || [ $key = Q ] && doexit Installation aborted!

len=`expr $key : '.*'`

if [ $len -lt 8 ]; then
    doerror $KEY_FALSE
fi

VENDOR=`echo $key | sed -e 's/-[A-Za-z0-9]*//'`
PRG=UPSMAN

case "$VENDOR" in

5C0)
        D=5
        V=3
;;
5CHL4X)
        D=5
        V=4
;;
5CHLHX4)
        D=5
        V=OV
;;
5CHLRX3)
        D=5
        V=4
	PRG=RCCMD
;;
*)
   doerror $KEY_FALSE
;;
esac

} # ChooseFile()

ChooseInstDir(){
$doecho \\nPlease choose a directory to install the files [\<ENTER\>=$UPS_DIR],
$doecho \?: \\c
read TMPDIR

if [ X"$TMPDIR" != X ]; then 
#    if [ -z `echo "$TMPDIR" | sed -e 's/^[^\/].*$//'` ]; then
#	dowarn "we need an absolute path (with a leading slash \"/\")"
#	ChooseInstDir
#    else
    if check_for_abs_path $TMPDIR; then
	UPS_DIR=$TMPDIR
    else
	dowarn "we need an absolute path (with a leading slash \"/\")"
	sleep 1
	ChooseInstDir
    fi
fi
} # ChooseInstDir()



ChooseOS(){

#if [ X"$OPSYS" = X ]; then
    $doecho \\nPlease select the version for your Operating System:
#else
#    $doecho \\nPlease select the version for your Operating System [\<ENTER\>=$OPSYS]:
#    if [ -n "$COMPAT_FILE" ]; then
#	COMPAT_LIST=`sed -n -e "s/${OPSYS}://p" $COMPAT_FILE`
#    else
#	COMPAT_LIST=""
#    fi
#    if [ -n "$COMPAT_LIST" ]; then
#	$doecho "($COMPAT_LIST)"
#    fi
#fi

$doecho ""

TMPLIST="LINUX_X86\n"
#for i in `ls $OSVER`; do
#    [ -d $OSVER/$i/$1 ] && TMPLIST="$TMPLIST$i\n"
#done

$doecho $TMPLIST

if [ X"$OPSYS" != X ]; then
    COMPAT_LIST=""
    if [ -n "$COMPAT_FILE" ]; then
	COMPAT_LIST=`sed -n -e "s/${OPSYS}://p" $COMPAT_FILE`
    fi
    if [ -n "$COMPAT_LIST" ]; then
	COMPAT_LIST="($COMPAT_LIST)"
    fi
    
    $doecho [\<ENTER\>=${OPSYS}${COMPAT_LIST}]
fi

$doecho \?: \\c
read TMPOPSYS

[ X"$TMPOPSYS" = X ] && [ X"$OPSYS" != X ] && TMPOPSYS=$OPSYS
	
if [ X"$TMPOPSYS" = X ] || [ ! -d  $OSVER/$TMPOPSYS ]; then
    dowarn can\'t find \""$TMPOPSYS"\", please type exactly as shown.
    sleep 1
    ChooseOS
fi

OPSYS=$TMPOPSYS
} # ChooseOS()



ChooseLanguage(){

if [ X"$UPSLANG" = X ] && [ -d $LANGDIR/[Ee][Nn][Gg][Ll][Ii][Ss][Hh] ]; then
    TMPDIR=`pwd`
    cd $LANGDIR
    UPSLANG=`ls -d [Ee][Nn][Gg][Ll][Ii][Ss][Hh] 2>/dev/null`
    cd $TMPDIR
fi

if [ X"$UPSLANG" = X ]; then
    $doecho \\nPlease select the language for $PRG messages:
else
    $doecho \\nPlease select the language for $PRG messages [\<ENTER\>=$UPSLANG]:
fi

ls $LANGDIR
$doecho \?: \\c
read TMPLANG

[ X"$TMPLANG" = X ] && [ X"$UPSLANG" != X ] && TMPLANG=$UPSLANG

if [ X"$TMPLANG" = X ] || [ ! -d $LANGDIR/$TMPLANG ]; then 
    dowarn can\'t find \""$TMPLANG"\", please type exactly as shown.
    sleep 1
    ChooseLanguage
fi

UPSLANG=$TMPLANG
} # ChooseLanguage()



set_sysvars() {

startdirs="rc2.d rc3.d rc5.d"
killdirs="rc0.d rc1.d rcS.d"
startlink=S80
killlink=K20
ps_prog="ps -e"
sysdownprog="/sbin/init 0"
mailprog=mail
#progtestprog="type -p"
progtestprog=type

if [ -z "$OPSYS" ]; then
    case `uname` in
	*[Bb][Ss][Dd])
	    OPSYS=BSD_X86
	;;
	[Dd][Aa][Rr][Ww][Ii][Nn])
	    OPSYS=MACINTOSH
	;;
	[Ii][Rr][Ii][Xx])
	    OPSYS=IRIX
	;;
	[Oo][Ss][Ff]*)
	    OPSYS=DEC_UNIX
	;;
	[Hh][Pp]-[Uu][Xx])
	    OPSYS=HPUX_10
	;;
	[Aa][Ii][Xx])
	    OPSYS=IBMAIX43
	;;
	[Ll][Ii][Nn][Uu][Xx])
	    OPSYS=LINUX
	;;
	[Ss][Cc][Oo]_[Ss][Vv])
	    OPSYS=SCO_UNIX
	;;
	[Ss][Ii][Nn][Ii][Xx]*)
	    OPSYS=SINIX_RM
	;;
	[Ss][Uu][Nn][Oo][Ss])
	    OPSYS=SUNSOL7.SPC
	;;
	[Uu][Nn][Ii][Xx][Ww][Aa][Rr][Ee])
	    OPSYS=UNIXWARE
	;;
	*)
	    doerror can\'t determine OS type
	;;
    esac
fi

case $OPSYS in
    [Bb][Ss][Dd]*)
	ps_prog="ps -xco pid,tt,time,command"
	sysdownprog="/sbin/shutdown -h now"
	progtestprog=which
       ;;
    [Mm][Aa][Cc][Ii][Nn][Tt][Oo][Ss][Hh])
	ps_prog="ps -xco pid,tt,time,command"
	sysdownprog="/sbin/shutdown -h now"
	progtestprog=which
       ;;
    [Dd][Ee][Cc]*)
	ps_prog="ps -eo pid,tt,time,comm"
	startdirs="rc3.d"
	killdirs="rc2.d"
	mailprog=mailx
	progtestprog=which
#	sysdownprog="/sbin/init 0"
    ;;
    [Hh][Pp][Uu][Xx]*)
	startdirs="rc2.d"
	startlink=S900
	killdirs="rc1.d"
	killlink=K100
	sysdownprog="/etc/init 0"
	mailprog=mailx
	progtestprog=which
    ;;
    [Ii][Bb][Mm][Aa][Ii][Xx]*)
	sysdownprog="/usr/sbin/shutdown -h now"
	progtestprog=which
    ;;
    [Ii][Rr][Ii][Xx])
	startdirs="rc2.d"
	killdirs="rc0.d"
	mailprog=mailx
	progtestprog=which
#	sysdownprog="/sbin/init 0"
    ;;
    [Ss][Uu][Ss][Ee]*)
	startdirs="rc2.d rc3.d rc5.d"
	killdirs="rc2.d rc3.d rc5.d"
	startlink=S20
	killlink=K10
#	sysdownprog="/sbin/init 0"
    ;;
    [Ll][Ii][Nn][Uu][Xx]*)
#	startdirs="rc2.d rc3.d rc5.d"
#	killdirs="rc2.d rc3.d rc5.d"
#	startlink=S20
#	killlink=K10
#	sysdownprog="/sbin/init 0"
    ;;
    [Rr][Ee][Dd][Hh][Aa][Tt]*)
#	startdirs="rc2.d rc3.d rc5.d"
#	killdirs="rc2.d rc3.d rc5.d"
#	startlink=S20
#	killlink=K10
#	sysdownprog="/sbin/init 0"
    ;;
    [Ss][Cc][Oo]*)
	sysdownprog="/etc/init 0"
    ;;
    [Ss][Ii][Nn][Ii][Xx]*)
	mailprog=mailx
#	sysdownprog="/sbin/init 0"
    ;;
    [Ss][Uu][Nn]*)
	startdirs="rc2.d"
	killdirs="rc0.d rc1.d rcS.d"
	mailprog=mailx
	progtestprog=which
#	sysdownprog="/etc/init 0"
    ;;
    [Uu][Nn][Ii][Xx][Ww][Aa][Rr][Ee])
	sysdownprog="/etc/init 0"
	ps_prog="ps -eo pid,tty,time,comm"
    ;;
    *)
	return 1
    ;;
esac    

progtestprog=type


dodebug "startdirs = >$startdirs<"
dodebug "killdirs = >$killdirs<"
dodebug "startlink = >$startlink<"
dodebug "killlink = >$killlink<"
dodebug "sysdownprog = >$sysdownprog<"

}

